package de.avatic.taricdb.helper.workbook.wrapper;

import java.util.HashSet;
import java.util.Set;

import de.avatic.taricdb.model.NomenclatureFootnote;

public class NomenclatureFootnoteWrapper {
	
	private Set<NomenclatureFootnote> nomenclatureFootnotes;
	
	private String hsCode;

	private String suffix;
	
	public NomenclatureFootnoteWrapper(String hsCode, String suffix) {
		this.nomenclatureFootnotes = new HashSet<>();
		this.hsCode = hsCode;
		this.suffix = suffix;
	}
	
	public Set<NomenclatureFootnote> getNomenclatureFootnote() {
		return nomenclatureFootnotes;
	}

	public String getHsCode() {
		return hsCode;
	}
	
	public void addNomenclatureFootnote(NomenclatureFootnote nomenclatureFootnote) {
		this.nomenclatureFootnotes.add(nomenclatureFootnote);
	}

	public String getSuffix() {
		return suffix;
	}
}
